package org.netkernel.layer0.representation;

import java.util.Comparator;


public interface IHDSNodeList extends Iterable<IHDSNode>
{
	int size();
	IHDSNode get(int aIndex);
	
	IHDSNodeList filter(IHDSPredicate aPredicate);
	IHDSNodeList sort(Comparator<IHDSNode> aComparator);
	
	IHDSNodeList getNodes(String aXPath);
	IHDSNode getFirstNode(String aXPath);
	IHDSNode getFirstNode();
	
	Object getFirstValue(String aXPath);
	Object getFirstValue();
}
