package org.netkernel.layer0.nkf.impl;

import org.netkernel.container.IKernel;
import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.nkf.INKFParameters;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.layer0.nkf.NKFException;
import org.netkernel.urii.ISpace;

public interface INKFParametersControl extends INKFParameters
{
	boolean isTolerant();
	void setTolerant(boolean aTolerant);
	INKFParametersControl cloneWithExtendedDefn(IPrototypeParameterMeta[] aAdditionalParameters) throws NKFException;
	void onCommission(IKernel aKernel, ISpace aSpace) throws NKFException;
	INKFResponseReadOnly getParameterLiteralAs(String aName, Class aDesiredRepresentation, INKFRequestContext aContext) throws NKFException;
	void setParameter(String aName, Object aValue, IKernel aKernel) throws NKFException;
	void setParameterRaw(String aName, Object aValue) throws NKFException;
}
